function solve() {
 with( Math ) {
  var accum = parseFloat( document.forms.data.accum.value );
  var P = parseFloat( document.forms.data.payment.value );
  var y = parseFloat( document.forms.data.years.value );
  var r = pow(1+parseFloat( document.forms.data.growth.value )/100.0, 1/12.0);
  var f1 =pow(1-parseFloat( document.forms.data.fee1.value )/100.0, 1/12.0);
  var f2 =pow(1-parseFloat( document.forms.data.fee2.value )/100.0, 1/12.0);
  var load1 = 1-parseFloat( document.forms.data.load1.value)/100.0;
  var load2 = 1-parseFloat( document.forms.data.load2.value)/100.0;

  var ret1 = accum*pow(r*f1,12*y) + load1*P*(1-pow( r*f1, 12*y))/(1-r*f1);
  var ret2 = accum*pow(r*f2,12*y) + load2*P*(1-pow( r*f2, 12*y))/(1-r*f2);
  var P2 = (ret1 - accum*pow(r*f2,12*y)) / (load2*(1-pow( r*f2, 12*y))/(1-r*f2));

  ret1 = round( 100*ret1 ) / 100.0;
  ret2 = round( 100*ret2 ) / 100.0;
  P2 = round( 100*P2 ) / 100.0;

  var diff=' less';
  if( P2 > P ) {
    diff=' more';
  }

  var D = abs(P2-P);
  var percent = round( abs( 1-P2/P )*100 );

  var ans = document.getElementById( 'answer' );

  ans.innerHTML='<div id="xclose"><p>[x]</p></div>' +
             '<p><b>During your career you will defer a total of $' + sprintf( '%.2f', P*y*12) + ' from your paychecks.</b></p>' +
             '<p><b>Earnings 1:</b> With investment option 1, your money would have grown to $' + sprintf('%.2f', ret1) + '</p>' +
             '<p><b>Earnings 2:</b> With investment option 2, your money would have grown to $' + sprintf('%.2f',ret2) + '</p>' +
             '<p><b>You should have saved: </b> $' + sprintf('%.2f', P2) + ' from each paycheck to make investment option 2 come out the same in the end as option 1.  You need to save $' + sprintf('%.2f',abs(P2-P)) + diff + ' each month because of the difference in fees, i.e. ' + percent + '%' + diff + ' money than if you had used option 1.</p>' +
	     '</div>';
  ans.style.display = '';
  document.getElementById('xclose').onclick = hideAns;
  window.scrollBy(0,1000);
 }
}

function hideAns() {
  document.getElementById( 'answer' ).style.display = 'none';
}

function fees() {
 document.write( '<form id="data" name="data" action="#">' +
  '<p><b>Accumulated assets today:</b><br /> <input id="accum" name="accum" type="text" value="0.00" size="5" /> dollars </p>' +
  '<p><b>Amount to save each month:</b><br /> <input id="payment" name="payment" type="text" value="500" size="5" /> dollars </p>' +
  '<p><b>How long until retirement:</b><br /> <input id="years" name="years" type="text" value="30" size="5" /> years </p>' +
  '<p><b>Anticipated investment return:</b><br /> <input id="growth" name="growth" type="text" value="8" size="5" />% </p>' +
  '<table><tr>' +
  '<td><p><b>Front load of investment 1:</b><br /> <input id="load1" name="load1" type="text" value="0.0" size="5" />% of each contribution</p>' +
  '<p><b>Expense ratio of investment 1:</b><br /> <input id="fee1" name="fee1" type="text" value="0.35" size="5" />% of assets </p></td>' +
  '<td style="width: 8em;text-align: center;"> <b>vs.</b> </td>' +
  '<td><p><b>Front load of investment 2:</b><br /> <input id="load2" name="load2" type="text" value="0.0" size="5" />% of each contribution</p>' +
  '<p><b>Expense ratio of investment 2:</b><br /> <input id="fee2" name="fee2" type="text" value="1.83" size="5" />% of assets </p></td>' +
  '</tr></table>' +
  '<p><input id="calc" name="calc" type="button" value="calculate" onclick="solve()"/>' +
  '</form>' +
  '<div id="answer" style="display: none"></div>'
 );
}
